function outputdir = gtSetAnalysisDir(inputdir)

dir = [];
strcell = regexp(inputdir,filesep(),'split');
strcell(find(cellfun(@(x) strcmp(x,'0_rawdata'),strcell)==1))=[];
strcell(find(cellfun(@(x) strcmp(x,'Orig'),strcell)==1))=[];
    
if any(cellfun(@(x) strcmp(x,'_data_visitor'),strcell))
    % regular id11 visitor experiment
    ind = find(cellfun(@(x) strcmp(x,'_data_visitor'),strcell)==1);
    if any(cellfun(@(x) strcmp(x,'id11'),strcell))
        ind = [ind, find(cellfun(@(x) strcmp(x,'id11'),strcell)==1)];
    elseif any(cellfun(@(x) ~isempty(strfind(x,'id')),strcell))
        ind = [ind, find(cellfun(@(x) ~isempty(strfind(x,'id')),strcell)==1)];
    end
    ind2 = find(cellfun(@(x) ~isempty(strfind(x,'DCT_Analysis')),strcell)==1);
    ind3 = find(cellfun(@(x) ~isempty(strfind(x,gtGetLastDirName(inputdir))),strcell)==1);
elseif any(cellfun(@(x) ~isempty(strfind(x,'graintracking')),strcell)) 
    % graintracking experiment
    ind  = find(cellfun(@(x) ~isempty(strfind(x,'graintracking')),strcell)==1);
    ind2 = find(cellfun(@(x) ~isempty(strfind(x,'DCT_Analysis')),strcell)==1);
    ind3 = find(cellfun(@(x) ~isempty(strfind(x,gtGetLastDirName(inputdir))),strcell)==1);
else
    % default to ID11/graintracking
    tmp = fullfile('/data','id11','graintracking','DCT_Analysis',gtGetLastDirName(inputdir));
    dir = tmp;
end

if isempty(dir)
    ind = [ind, length(strcell)];
    dir = strrep(strcell{ind(1)},'_',filesep());
    tmp=dir;
    if ~isempty(ind2)
        tmp = fullfile(tmp,strcell{ind2});
        ind(1) = ind2;
    end
    if ~isempty(ind3)
        tmp = fullfile(tmp,strcell{ind3});
        ind(end) = ind3;
    end
    if length(strcell) ~= ind3
        for i=ind(1)+1:ind(end)
            tmp = fullfile(tmp,strcell{i});
        end
    end
    dir=tmp;
end

outputdir = dir;

end