function gtBatchAutoFind_360(first,last,wdir)
  %first=first IMAGE, last= last IMAGE

  %mod from gt_batchAutoFind_pairs to use database tables extending over 360
  %degrees, rather than a scan split into two 180 degree halves, A and B.

  %try changing this to do all of the spots in an image, rather than a number
  %of difspot ids, as it seems important to do the brightest spots in an
  %image first

  if isdeployed
    global GT_DB
    global GT_MATLAB_HOME
    load('workspaceGlobal.mat');
    first=str2double(first);
    last=str2double(last);
  end

  cd(wdir)


  load('parameters.mat');


  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  %   SIZE ORDERING
  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  gtDBConnect();

  %[remaining]=mym(sprintf(...
  %  'select difspotID from %sdifspot where difspotID>=%d and difspotID<=%d and BoundingBoxXsize>10 and BoundingBoxYsize>10 order by (integral/Area) desc',...
  %  parameters.acq.name,first,last));

  [remaining]=mym(sprintf(...
    'select difspotID from %sdifspot where maximage>=%d and maximage<=%d and BoundingBoxXsize>%d and BoundingBoxYsize>%d order by (integral/Area) desc',...
    parameters.acq.name,first,last, parameters.match.minsize, parameters.match.minsize));


  fprintf('First %d Last %d Number %d\n',first,last,length(remaining))


  for i=1:length(remaining)
    try
      struct_id=remaining(i);
      fprintf('~~~~~~ Doing difspot %d of %d (struct_id = %d) ~~~~~~~~~\n', i,length(remaining),struct_id)
      AutoFind_360(struct_id,parameters,1);
      fprintf('~~~~~~~~ DONE OK ~~~~~~~~\n\n\n');
    catch Mexc
      gtPrintException(Mexc, '~~~~~~~~~ SPOT UNFINISHED ~~~~~~~~~~')
      fprintf('\n\n\n');
    end
  end

  mym('close')
end

