function gtDoAll_360
  % remove seg2vie.sh
  % truncate grainid
  % set GrainID in extspot to null
  % remove -r 4_grain/*

  %gtDoAll2 - simplify to use streamlined HandleSpot2...

  %360degree scan convention - ak 10/2007

  %load data
  load('parameters.mat');


  %cd(parameters.acq.dir);
  cand=gtSelectCandidates(0, parameters.acq.bb(4), parameters.match.minsize);%zstart, zend, min Ysize


  %avoid overwriting grains - continue from the max current grain id +1
  a=mym(sprintf('select max(grainid) from %sextspot', parameters.acq.name));
  if isnan(a)
    grainID = 1;
  else
    grainID=a+1;
  end

  fprintf('Candidate list length: %d\n',length(cand));

  dummy=find(cand==42974)
warning('messing with the list of candidates for restart')



  for i=dummy:length(cand)
%  for i=1:length(cand)

    close all

    if mym(sprintf('select !isnull(GrainID) from %sextspot where (extspotID=%d)',parameters.acq.name,cand(i)));
      % GrainID has already been allocated to this candidate
      continue % bomb out of loop
    end

    % % request a GrainID to use - use simpler system for test
    % mym(sprintf('insert into %sgrainid set grainID=default',parameters.acq.name));
    %grainID=mym(sprintf('select last_insert_id()'));


    fprintf('now looking at candidate %d of %d (family belonging to extspot(%d)) using grainID %d\n',i,length(cand),cand(i),grainID);

    %~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    accept = gtHandleSpot_360(cand(i),grainID, parameters);
    %~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

    if accept
      %~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
      plot_flag=0;
      gtWriteStack_360(grainID, 'sheared_difspots'); %flag can be "sheared_difspots", "replaced", or nothing (default) 
      gt_select_projections_auto(grainID, plot_flag);
      %~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

      %~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
      gtDoART(grainID);
      %~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

      %increment grainID
      grainID=grainID+1;

    end

    cd(parameters.acq.dir);
    close all

  end

  disp('Done!')
