

function [Theta,Eta] = gtFindAngles_360(struct_id, grainx, grainy, grainz, omega, parameters);

%replace an old gtFindAngles_360. 
%this script based on gtFindAngles_pair, modified to work with single 360
%degree scan.
%works with grain position in the ART/back projection coordinate system,
%rather than the setup/system coordinates used in pair matching scripts.

%360degree scan convention - ak 10/2007

if isempty(parameters)
  load('parameters.mat');
end

%calculate Theta angle between grain position (x,y,z) and difspot of
%struct_id
%struct_id can be a vector...
%omega should be input in degrees
%output angles are in degrees

omega=omega*pi/180;%convert to radians

for i=1:length(struct_id)

[bb,cent]=gtGetBBProps(struct_id(i),parameters);
CentroidX=cent(1);
xdirect(i)=parameters.acq.bb(1) + CentroidX;
ydirect(i)=parameters.acq.bb(2)+grainz;


name=parameters.acq.name;
mysqlcmd=sprintf('select CentroidX,CentroidY from %sdifspot where difspotID=%d',name,struct_id(i));
[xdiffr(i),ydiffr(i)]=mym(mysqlcmd);

end

r=sqrt((xdirect-xdiffr).^2+(ydirect-ydiffr).^2);

grain2rot=sqrt((grainx-parameters.acq.bb(3)/2).^2+(grainy-parameters.acq.bb(3)/2).^2);
angle=atan2(parameters.acq.bb(3)/2-grainy,grainx-parameters.acq.bb(3)/2);

dz=grain2rot.*sin(-omega+angle)+parameters.acq.dist/parameters.acq.pixelsize;

Theta=((atan(r./dz))/2)*180/pi;

Eta=atan2((xdiffr-xdirect),(ydirect-ydiffr))*180/pi;

dummy= find(Eta<0);
Eta(dummy)=360+Eta(dummy);

end
