function [output, redo_list] = gtSetupAssembleVolume( update_cb )
% GTSETUPASSEMBLEVOLUME Helper function to wrap around gtAssembleVol3D.m

% input default parameters
par.savefilename            = 'DCT_vol.edf'; % filename to save volume
par.overlaps                = 'zeros';       % how to handle overlapping grains ('zeros' / 'summed')
par.add_to_filename         = [];            % to add grains to a preexisting volume (saved as edf)
par.list                    = 'all';         % if list is 'all', or [], load all grains.  Otherwise, only the list
par.display_error_messages  = true;          % show error messages

% check with user
list{1,1} = 'savefilename';
list{1,2} = 'filename to save volume (goes into 5_reconstruction/)';

list{2,1} = 'overlaps';
list{2,2} = 'how to treat overlapping grain labels ("zeros" or "summed")';

list{3,1} = 'add_to_filename';
list{3,2} = 'to add grains to an existing reconstruction (filename, path/filename)';

list{4,1} = 'list';
list{4,2} = 'list of grains to add to volume, or "all"';

list{5,1} = 'display_error_messages';
list{5,2} = 'display error messages?';

par = gtModifyStructure(par, list);

if ~exist('update_cb', 'var')
    [output, redo_list] = gtAssembleVol3D('savefilename', par.savefilename, ...
        'overlaps', par.overlaps, 'add_to_filename', par.add_to_filename, ...
        'list', par.list, 'display_error_messages', par.display_error_messages);
else
    [output, redo_list] = gtAssembleVol3D('savefilename', par.savefilename, ...
        'overlaps', par.overlaps, 'add_to_filename', par.add_to_filename, ...
        'list', par.list, 'display_error_messages', par.display_error_messages, ...
        'update_status_cb', update_cb);
end

end

