function normalised_hkls = gtHex2Cart(all_hkils, latticepar)
% GTHEX2CART  
%     normalised_hkls = gtHex2Cart(all_hkils, latticepar)
%     ---------------------------------------------------
%     Transforms from direct hexagonal to cartesian coordinates
%     and normalise
%
% Same as the old function gtCrystHKL2Cart


% going to cartesian reciprocal space + normalisation of the cartesian
% space
all_hkls(:, 1) = all_hkils(:, 1) + 0.5 * all_hkils(:, 2);
all_hkls(:, 2) = sqrt(3)/2 * all_hkils(:, 2);
all_hkls(:, 3) = all_hkils(:, 4);

all_hkls(:, 1) = all_hkls(:, 1)*2/(sqrt(3)*latticepar(1));
all_hkls(:, 2) = all_hkls(:, 2)*2/(sqrt(3)*latticepar(1));
all_hkls(:, 3) = all_hkls(:, 3)/latticepar(3);

% normalise hkls vector
tmp = sqrt(sum((all_hkls.*all_hkls),2));
normalised_hkls = all_hkls./(repmat(tmp,1,3));

end
