function param_section = gtCheckParameters(param_section, default_section)
% GTCHECKPARAMETERS Checks that the given section of the parameters contains the
% defaults, otherwise adds them!

    default_names = fieldnames(default_section);
    checks = ~isfield(param_section, default_names);
    missing_names = default_names(checks);

    for ii = 1:length(missing_names)
        name = missing_names{ii};
        warning('gtCheckParameters:missin_param', ...
            'Parameter "%s" missing.', name)
        param_section.(name) = default_section.(name);
    end

    % now let's see if some parameters are just useless
    sec_names = fieldnames(param_section);
    checks = ~isfield(default_names, param_section);
    exceding = sec_names(checks);

    for ii = 1:length(exceding)
        name = exceding{ii};
        warning('gtCheckParameters:unused_param', ...
            'Parameter "%s" is not defined in the defaults: it may be useless', ...
            name)
    end
end
